#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xC1,0x2E,0x3E,0x3D,0xAD,0x34,0xB6,0xB7,0xBF,0x26,0xC7,0x99,
		0xFC,0xCE,0x49,0x00,0x87,0x34,0xC3,0xAD,0xF0,0xC8,0xE9,0xED,
		0xF5,0xAF,0xFB,0xDA,0x5D,0x07,0x0C,0x61,0x05,0x91,0x24,0xBD,
		0x31,0x34,0x1A,0x42,0x5F,0xD6,0x2D,0x5D,0xBD,0xF4,0x87,0xBA,
		0x3F,0x81,0x74,0x5E,0xC1,0x03,0x19,0x4D,0xB6,0x9D,0x18,0x13,
		0x00,0x7C,0x26,0x7B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
